// MemberInfoDlg_ValidationInterval.h : header file
//
#if !defined(_MEMBERINFODLG_VALIDATIONINTERVAL_H_)
#define _MEMBERINFODLG_VALIDATIONINTERVAL_H_

#include "PropertyEditorDlg.h"
#include "AsNumericEdit.h"

/////////////////////////////////////////////////////////////////////////////
// CMemberInfoDlg_ValidationInterval dialog
class CXmlMemberInfo;

class CMemberInfoDlg_ValidationInterval : public CPropertyEditorDlg
{
// Construction
public:
	CMemberInfoDlg_ValidationInterval(CWnd* pParent = NULL);   // standard constructor

// Dialog Data
	//{{AFX_DATA(CMemberInfoDlg_ValidationInterval)
	enum { IDD = IDD_MEMBERINFO_VALIDATION_INTERVAL };
	CAsNumericEdit	txtMinValue_;
	CAsNumericEdit	txtMaxValue_;
	//}}AFX_DATA

public:
	virtual void SetData(CXmlBaseElement* element);
	virtual void StoreData();
	virtual void OnDataUpdate();

	void OnOK(){};
	void OnCancel(){};

// Overrides
	// ClassWizard generated virtual function overrides
	//{{AFX_VIRTUAL(CMemberInfoDlg_ValidationInterval)
	protected:
	virtual void DoDataExchange(CDataExchange* pDX);    // DDX/DDV support
	//}}AFX_VIRTUAL

// Implementation
protected:

	// Generated message map functions
	//{{AFX_MSG(CMemberInfoDlg_ValidationInterval)
		// NOTE: the ClassWizard will add member functions here
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP();

	bool IntervalValidationAllowed();
	void DisplayInfo();

	CXmlMemberInfo* memberInfo_;
};

//{{AFX_INSERT_LOCATION}}
// Microsoft Visual C++ will insert additional declarations immediately before the previous line.

#endif // !defined(_MEMBERINFODLG_VALIDATIONINTERVAL_H_)
